UA-PARSER-JS(1)

NAME
ua-parser-js - detect browser, engine, OS, CPU and device from a user-agent string

SYNOPSIS
ua-parser-js <string>...
ua-parser-js --input-file <filepath> [--output-file <filepath>]

DESCRIPTION
Detect browser, engine, OS, CPU and device from user-agent strings.

-i, --input-file <filepath>
    read user-agent strings from <filepath>, one per line

-o, --output-file <filepath>
    write the JSON results to <filepath>

-h, --help
    display this help and exit

EXAMPLES
Parse a single user-agent string:

    ua-parser-js "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36"

Parse a log file and save the results:

    ua-parser-js --input-file=access.log --output-file=result.json

AUTHOR
UAParser.js was written by Faisal Salman <f@faisalman.com>.

SEE ALSO
The upstream documentation at https://uaparser.dev.